define("wolfRunSpaghettiDeclaration", ["componentmodelComponentApi", "slotModelApi", "reelsApi", "gameLayoutApi", "clientkernelEventbusApi", "wolfRunSpaghettiPort"],
    function(componentmodelComponentApi, slotModelApi, reelsApi, gameLayoutApi, clientkernelEventbusApi, wolfRunSpaghettiPort) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof wolfRunSpaghettiDeclaration == 'undefined') {
            var wolfRunSpaghettiDeclaration = {};
        };
        wolfRunSpaghettiDeclaration.SpaghettiDeclaration = function() {};
        wolfRunSpaghettiDeclaration.SpaghettiDeclaration = ck_implements(wolfRunSpaghettiDeclaration.SpaghettiDeclaration, componentmodelComponentApi.IComponentDeclaration);
        wolfRunSpaghettiDeclaration.SpaghettiDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        wolfRunSpaghettiDeclaration.SpaghettiDeclaration.__name__ = ["wolfRunSpaghettiDeclaration", "SpaghettiDeclaration"];
        wolfRunSpaghettiDeclaration.SpaghettiDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        wolfRunSpaghettiDeclaration.SpaghettiDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        wolfRunSpaghettiDeclaration.SpaghettiDeclaration.prototype.getImplementedPorts = function() {
            return [wolfRunSpaghettiPort.ISpaghettiImplementationPort];
        };
        wolfRunSpaghettiDeclaration.SpaghettiDeclaration.prototype.getUsedPorts = function() {
            return [slotModelApi.IOutcomePhasePort, reelsApi.IReelsPort, gameLayoutApi.IGameLayoutPort];
        };
        wolfRunSpaghettiDeclaration.SpaghettiDeclaration.prototype.__class__ = wolfRunSpaghettiDeclaration.SpaghettiDeclaration;
        return {
            exports: wolfRunSpaghettiDeclaration
        };
    });
//# sourceURL=wolfRunSpaghettiDeclaration.js